function [modalities, G, THEMES, mod_transfer, mod_omegas, idea_mod, g_mod]=scan_data_SCHIZOTYPAL
%scan the text file 'data_SCHIZOTYPAL mind.txt' including modality, level, omegas, mod_transfer(omega1),
%mod_transfer(omega2), mod_transfer(omega3), gs_in_mods    
load c:\mind_data_SPD
fid = fopen('data_SCHIZOTYPAL mind.txt');
THEMES = cell(1,THEME_number);
i = 1; %index of modalities
j = 1; %index of G
modalities={};
line = fgetl(fid); %headers: modality, level, omegas, mod_transfer(omega1), mod_transfer(omega2), mod_transfer(omega3), gs_in_mods    
while feof(fid) == 0
    
   line = fgetl(fid);
   %Reading the name of modality
   [tok rem] = strtok(line,',');
   if isempty(rem)  % Ignoring any unnecessary, possible Enter in text file
       break;
   end
   
   modalities{i} = tok;
   
   %Reading the level of modality
   [tok rem] = strtok(rem,',');
   level = str2double(tok);
   
   %Reading the omega of modality
   [tok rem] = strtok(rem,',');
   mod_omegas(i) = str2double(tok);
   
   %Reading the theme of modality
   rem1 = rem; 

       [tok rem1] = strtok(rem,',');
       [tok rem] = strtok(tok);
       while ~isempty(tok)
           t = str2double(tok);
           THEMES{t} = [THEMES{t} i];
           [tok rem] = strtok(rem);
       end
       
    
       
   %Reading the mod_transfer(omega1) of modality
   [tok rem] = strtok(rem1,',');
   mod_transfer_str{i,1} = tok;
   
   %Reading the mod_transfer(omega2) of modality
   [tok rem] = strtok(rem,',');
   mod_transfer_str{i,2} = tok;
   
   %Reading the mod_transfer(omega3) of modality
   [tok rem] = strtok(rem,',');
   mod_transfer_str{i,3} = tok;
   
   %Reading generators belong to modality
   while true
       [tok rem] = strtok(rem,',');
       if isempty(tok)
           break;
       end
       G(j).name = strtok(tok);  %ignoring any possible, unnecessary white space in text file
       G(j).level = level;
       G(j).modality = i;
       g_mod(j) = i; 
       
       j = j+1;
   end
   i = i+1;
end

%converting mod_transfer_str including names of modalities to mod_transfer including number of modalities 
n = length(mod_transfer_str);
mod_transfer = cell(n, 3);
for i=1:n
    for j=1:3
        str = mod_transfer_str{i,j};
        [tok rem] = strtok(str); 
        while ~isempty(tok)
            m = strmatch(tok, modalities,'exact');
            mod_transfer{i,j} = [mod_transfer{i,j} m];
            [tok rem] = strtok(rem);
        end
    end
end
%Finding the number of the modality of ideas(complex thoughts)
idea_mod = strmatch('COMPLEX', modalities);

%converting the cell array modalities to char array, to coordinate with
%LEGACY CODE
modalities = char(modalities);
            
    
    
    